Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::InvalidPolicies Exception Reference

`#include <PolicyC.h>`

List of all members.

## Public Types
typedef _tao_seq_UShort | _indices_seq
## Public Methods
| InvalidPolicies (void)
| InvalidPolicies (const InvalidPolicies &)
| ~InvalidPolicies (void)
InvalidPolicies & | operator= (const InvalidPolicies &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void)
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_NOT_USED)
| InvalidPolicies (const _tao_seq_UShort &_tao_indices)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
InvalidPolicies * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)
## Public Attributes
sequence< unsigned short > | indices
sequence< unsigned short > | indices
_tao_seq_UShort | indices

## Member Typedef Documentation

typedef _tao_seq_UShort CORBA::InvalidPolicies::_indices_seq

## Constructor & Destructor Documentation

CORBA::InvalidPolicies::InvalidPolicies | ( | void |  | ) |

CORBA::InvalidPolicies::InvalidPolicies | ( | const InvalidPolicies & |  | ) |

CORBA::InvalidPolicies::~InvalidPolicies | ( | void |  | ) |

CORBA::InvalidPolicies::InvalidPolicies | ( | const _tao_seq_UShort & | _tao_indices | ) |

## Member Function Documentation

CORBA::Exception * CORBA::InvalidPolicies::_alloc | ( | void |  | ) | `[static]`

CORBA::InvalidPolicies * CORBA::InvalidPolicies::_downcast | ( | CORBA::Exception * | exc | ) | `[static]`

void CORBA::InvalidPolicies::_raise | ( | void |  | ) | `[virtual]`

void CORBA::InvalidPolicies::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

virtual void CORBA::InvalidPolicies::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

CORBA::Exception * CORBA::InvalidPolicies::_tao_duplicate | ( | void |  | ) | const`[virtual]`

virtual void CORBA::InvalidPolicies::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | const`[virtual]`

virtual CORBA::TypeCode_ptr CORBA::InvalidPolicies::_type | ( | void |  | ) | const`[virtual]`

InvalidPolicies& CORBA::InvalidPolicies::operator= | ( | const InvalidPolicies & |  | ) |

## Member Data Documentation

_tao_seq_UShort CORBA::InvalidPolicies::indices

sequence<unsigned short> CORBA::InvalidPolicies::indices

sequence<unsigned short> CORBA::InvalidPolicies::indices

The documentation for this exception was generated from the following files:

- Object.pidl
- Policy.pidl
- PolicyC.h
- PolicyC.cpp